List batches
Use this method to list all the batch objects in your account. The response sorts batches by creation date, with the newest batch first.
Authentication
x-api-keystring
Your API key.
Note
You can find your API key on the API Keys page.
Query parameters
page
A number that identifies the page to retrieve.
Default: 1.
page_limit
The number of items to return on each page.
Default: 10.
Max: 50.
status
Filter batches by status. Provide one or more values to include batches matching any of them. To send multiple values, repeat the status parameter:
status=processing&status=canceling
If you omit this parameter, the response includes batches in all statuses.
analysis_mode
Filter batches by analysis mode. Provide one or more values to include batches matching any of them. To send multiple values, repeat the analysis_mode parameter:
analysis_mode=general&analysis_mode=time_based_metadata
If you omit this parameter, the response includes batches in all analysis modes.
Allowed values:
Response
A list of batch objects.
data
An array of batch objects. Each object includes item counts for each item status.
page_info
An object that provides information about pagination.
Errors
400
Bad Request Error